Skip to main content

Read Member

Use this endpoint to read a member.

GET
/users/{user_id}/members/{member_id}

Path Parameters

FieldRequiredType

user_id

Required
String

member_id

Required
String

Request sample

Language:

_53
import java.io.BufferedReader;
_53
import java.io.InputStreamReader;
_53
import java.net.URL;
_53
import javax.net.ssl.HttpsURLConnection;
_53
_53
public class MDX_RealTime {
_53
private String BaseUrl, ClientId, ApiKey;
_53
_53
public MDX_RealTime(String BaseUrl, String ClientId, String ApiKey) {
_53
this.BaseUrl = BaseUrl;
_53
this.ClientId = ClientId;
_53
this.ApiKey = ApiKey;
_53
}
_53
_53
public static void main(String[] args) throws Exception {
_53
String base_url = "https://int-live.moneydesktop.com";
_53
String client_id = ":client_id";
_53
String api_key = ":api_key";
_53
_53
MDX_RealTime mdx = new MDX_RealTime(base_url, client_id, api_key);
_53
_53
/// Setup IDs
_53
String user_id = "U-39XBF7";
_53
String member_id = "M-39XBF7";
_53
_53
mdx.ReadMember(user_id, member_id);
_53
}
_53
_53
public void ReadMember(String user_id, String member_id) {
_53
try {
_53
String uri = BaseUrl + "/" + ClientId + "/users/" + user_id + "/members/" + member_id + ".json";
_53
URL url = new URL(uri);
_53
_53
HttpsURLConnection con = (HttpsURLConnection) url.openConnection();
_53
con.setRequestMethod("GET");
_53
con.setRequestProperty("Accept", "application/vnd.moneydesktop.mdx.v5+json");
_53
con.setRequestProperty("MD-API-KEY", ApiKey);
_53
_53
BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
_53
String inputLine;
_53
StringBuffer response = new StringBuffer();
_53
while ((inputLine = in.readLine()) != null) {
_53
response.append(inputLine);
_53
}
_53
in.close();
_53
con.disconnect();
_53
_53
System.out.println(response.toString());
_53
} catch (Exception e) {
_53
System.out.println(e);
_53
}
_53
}
_53
}

Response sample

200
Language:json

_11
{
_11
"member": {
_11
"guid": "MBR-3e4f6897-06ae-e08a-29b2-27d62e574978",
_11
"id": "M-39XBF7",
_11
"metadata": null,
_11
"name": "Acme Bank",
_11
"user_guid": "USR-fe9bb059-67c4-0e6b-e8cd-3fa00b2b5735",
_11
"user_id": "U-39XBF7",
_11
"is_disabled": false
_11
}
_11
}